For the complete documentation index, see llms.txt. This page is also available as Markdown.

/api/mailing/queue

get

Search mail queue

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
deletedstringOptionalDefault: 0
statusstringOptionalDefault: 0
typestringOptionalDefault: --broken--
subjectstringOptional
send_tostringOptional
orderbystringOptional
countintegerOptional
startintegerOptional
count_onlystringOptionalDefault: 0
Responses
200

success

successbooleanOptionalExample: true
get/api/mailing/queue
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array(
		'deleted' => 1,
		'start' => 0,
		'count' => 100,
		'status' => 1
	);

$request = array(
	'method' => 'GET',
	'path' => 'mailing/queue',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "total_count": "2",
  "queue": {
    "1": {
      "queueid": "1",
      "type": "AFFILIATE",
      "priority": "10",
      "added_date": "1565382537",
      "subject": "[{$project_name}] Account Approved",
      "send_to": "test@email.com",
      "send_from": "",
      "send_start": "0",
      "send_end": "0",
      "error": "",
      "deleted": "0",
      "mail_list_id": null,
      "send_start_nice": "Never",
      "send_end_nice": "Never",
      "added_date_nice": "2019-08-09 16:28:57",
      "status": "In Queue"
    },
    "2": {
      "queueid": "2",
      "type": "AFFILIATE",
      "priority": "98",
      "added_date": "1565382548",
      "subject": "subject test",
      "send_to": "send@test.com",
      "send_from": "change@changeme.com",
      "send_start": "0",
      "send_end": "0",
      "error": "",
      "deleted": "0",
      "mail_list_id": null,
      "send_start_nice": "Never",
      "send_end_nice": "Never",
      "added_date_nice": "2019-08-09 16:29:08",
      "status": "In Queue"
    }
  },
  "success": true
}
delete

Delete mail queue entry

Authorizations
api-keystringRequired
api-usernamestringRequired
Query parameters
queueidstringRequired
Responses
200

success

successbooleanOptionalExample: true
delete/api/mailing/queue
PHP (cURL)
<?php

$headers = array( //set your username and API key here
	'api-key: 44b5498dbcb481a0d00b404c0169af62',
	'api-username: tmm1phrvezsbu'
);
$url = 'https://yourdomain.com'; //set your NATS URL here

$data = array(
		'queueid' => '1'
	);

$request = array(
	'method' => 'DELETE',
	'path' => 'mailing/queue',
	'data' => $data
);

/*code below is the same for (almost) every API call */

$curl = curl_init();

$url = $url.'/api/'.$request['path'];

$query = http_build_query($request['data']);

if($request['method'] == 'GET'){
	//add query string parameters to the end of the url
	$url = $url.'?'.$query;
}else{
	//send parameters as POST fields
	curl_setopt($curl, CURLOPT_POST, 1);
	curl_setopt($curl, CURLOPT_POSTFIELDS, $query);

	if($request['method'] != 'POST'){
		$headers[] ='X-HTTP-Method: '.$request['method']; //send custom request method
	}
}
curl_setopt($curl, CURLOPT_URL, $url);
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);


$resp = curl_exec($curl);
//dumps an associative array representation of the json
var_dump(json_decode($resp, true));
// Close request to clear up some resources
curl_close($curl);
?>
200

success

{
  "success": true,
  "result": "queue entries marked deleted"
}

Last updated

Was this helpful?